## kshowmail-trinity 14.0.4

=== debian/changelog ===
kshowmail-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:43:47 +0200

kshowmail-trinity (3.2.1-0ubuntu1) gutsy; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 27 Jul 2013 02:42:42 +0200

kshowmail (3.2.1-0ubuntu1) gutsy; urgency=low

  * New upstream release.
  * Drop unsermake and use make instead.
  * Orig tarball repacked to add full texts of the LGPL and GFDL.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Tue, 07 Aug 2007 22:54:55 +0200

kshowmail (3.1.2-0ubuntu1) gutsy; urgency=low

  * Initial release.
  * Orig tarball repacked to add full texts of the LGPL and GFDL.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Thu, 26 Apr 2007 23:57:06 +0200

## kshowmail-trinity 14.0.5

=== debian/changelog ===
kshowmail-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:19:52 +0200

=== debian/watch ===
version=3

http://sf.net/kshowmail/kshowmail-(.*)\.tar\.gz

## kshowmail-trinity 14.0.6

=== debian/changelog ===
kshowmail-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:19:19 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	dh_testdir

	# Regenerate build system
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in

	autoreconf --install && automake -f && \
	$(MAKE) -f admin/Makefile.common && \
	touch debian/stamp-bootstrap

binary-install/kshowmail-trinity::
	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/

clean::
	dh_testdir
	rm -f debian/stamp-bootstrap

## kshowmail-trinity 14.0.8

=== debian/changelog ===
kshowmail-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:37 +0200

## kshowmail-trinity 14.0.9

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( kshowmail )
set( VERSION R14.0.9 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( pics )
add_subdirectory( sounds )
add_subdirectory( ${PROJECT_NAME} )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
kshowmail-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:11:40 +0200

## kshowmail-trinity 14.0.10

=== debian/changelog ===
kshowmail-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## kshowmail-trinity 14.0.11

=== debian/changelog ===
kshowmail-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kshowmail

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 19 Oct 2021 13:01:05 +0200

## kshowmail-trinity 14.0.12

=== debian/changelog ===
kshowmail-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kshowmail

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 23 Apr 2022 23:38:45 +0200

## kshowmail-trinity 14.0.13

=== debian/changelog ===
kshowmail-trinity (4:14.0.13-0ubuntu20.04.0+0) focal; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kshowmail

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 25 Sep 2022 09:38:30 +0200

## kshowmail-trinity 14.1.0

=== debian/changelog ===
kshowmail-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kshowmail

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kshowmail-trinity 14.1.1

=== debian/changelog ===
kshowmail-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kshowmail

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 24 Jul 2023 03:53:35 +0200

=== debian/control ===
Source: kshowmail-trinity
Section: tde
Priority: extra
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Lionel Le Folgoc <mrpouit@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libmimelib1-trinity-dev
Standards-Version: 3.7.2

Package: kshowmail-trinity
Architecture: any
Depends: ${shlibs:Depends}
Description: show mails on a POP3 server without actually downloading them [Trinity]
 KShowmail can be used to show mails on a POP3 server without actually
 downloading them. The headers or the complete mails can be viewed, and
 unwanted mails can be deleted. An initial and an interval timer can be set to
 check the mails periodical. KShowmail supports multiple accounts.
 .
  Homepage: http://kshowmail.sourceforge.net/

## kshowmail-trinity 14.1.2

=== debian/changelog ===
kshowmail-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kshowmail

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Lionel Le Folgoc <mrpouit@ubuntu.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libmimelib1-trinity-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libmimelib1-trinity-dev
 Standards-Version: 3.7.2
 
 Package: kshowmail-trinity

## kshowmail-trinity 14.1.3

=== debian/changelog ===
kshowmail-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kshowmail

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:31:57 +0200

## kshowmail-trinity 14.1.4

=== debian/changelog ===
kshowmail-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kshowmail

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## kshowmail-trinity 14.1.5~pre1

=== debian/changelog ===
kshowmail-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for c99f45724534911c782aaccaedf80a95dcbed2a3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kshowmail

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kshowmail-trinity 14.1.5

=== debian/changelog ===
kshowmail-trinity (4:14.1.5-0raspbian11.0.0+0) raspbian-bullseye; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kshowmail

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Lionel Le Folgoc <mrpouit@ubuntu.com>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libmimelib1-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libmimelib1-trinity-dev
 Standards-Version: 3.7.2
 
 Package: kshowmail-trinity

## kshowmail-trinity 14.1.6~pre0

=== debian/changelog ===
kshowmail-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c99f45724534911c782aaccaedf80a95dcbed2a3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kshowmail

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kshowmail-trinity 14.1.6~pre1

=== debian/changelog ===
kshowmail-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 8dab987c71aadf2b375c526d50f14e69426a4834
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kshowmail

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:42:44 +0100

## kshowmail-trinity 14.1.6~pre3

=== debian/changelog ===
kshowmail-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 3a6e0ef1ae4f541cc12c03f97c4f73510a737bdc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kshowmail

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 22:32:11 +0100

## kshowmail-trinity 14.1.6~pre4

=== debian/changelog ===
kshowmail-trinity (4:14.1.6~pre4-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b1b8f3244ef7674fc2e3854fe9e31731beb06564
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kshowmail

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 12:34:00 +0100

## kshowmail-trinity 14.2.0~pre30

=== kshowmail/CMakeLists.txt ===
add_subdirectory( kcmconfigs )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${MIMELIB1_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kshowmail (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        AlertDlg.ui
        alertdialog.cpp configelem.cpp
        configlist.cpp decodeRFC2047.cpp
        encryption.cpp filteritem.cpp
        filteritemcriteria.cpp filterlog.cpp
        filterlogentry.cpp headerfilter.cpp
        kfeedback.cpp kshowmail.cpp
        kshowmaildoc.cpp kshowmaildock.cpp
        kshowmailfeedback.cpp kshowmailview.cpp
        tdewalletaccess.cpp main.cpp
        senderlistfilter.cpp serverdialog.cpp
        showheaderdialog.cpp showlistviewitem.cpp
        showmaildialog.cpp showrecord.cpp
        showrecordelem.cpp uniqueapp.cpp
        filterlogview.cpp filterlogviewdeleteditem.cpp
        filterlogviewmoveditem.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeutils-shared
     tdewalletclient
     ${MIMELIB1_LIBRARIES}
     
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( ${PROJECT_NAME} )


##### other data

install(
    FILES kshowmailui.rc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

tde_create_translated_desktop( ${PROJECT_NAME}.desktop )

=== debian/changelog ===
kshowmail-trinity (4:14.2.0~pre30-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 14a3b18cdcefb00b9f561a35d4dc469f37a0428e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kshowmail

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kshowmail-trinity 14.2.0~pre31

=== debian/changelog ===
kshowmail-trinity (4:14.2.0~pre31-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 94327d210fcc091114f86077a27820874d939bca
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kshowmail

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:56:46 +0100

## kshowmail-trinity 14.2.0~pre34

=== debian/changelog ===
kshowmail-trinity (4:14.2.0~pre34-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for c1f22392f429ccf7a6e122fe5046da6dfac15e6a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kshowmail

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Jan 2026 20:51:48 +0100

## kshowmail-trinity 14.2.0~pre35

=== debian/changelog ===
kshowmail-trinity (4:14.2.0~pre35-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for e429a99fac70f2b295ea961b875a3ead723dfe8f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kshowmail

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 16 Jan 2026 03:29:24 +0100
